﻿@model CyberaniumModels.ProcessesAssign

<table id="Enabler" class="table">
    <thead>
        <tr>
            <th width="200px">Enablers</th>
            @foreach (var item in Model.RiskDomainList)
            {
                <th>@(item.Name)</th>
            }
        </tr>
    </thead>
    <tbody>
        @foreach (var category in Model.ControlCategoryList)
        {
            <tr>
                <td>@category.Name Enabler Value</td>
                @{
                    var list = Model.DomainBaseRiskScoreList.Where(x => x.CategoryId == category.Id).ToList();
                    decimal score = 0.0M;
                    foreach (var domain in Model.RiskDomainList)
                    {
                        score = list.Where(x => x.DomainId == domain.Value).Select(x => x.Score).Sum();
                        <td>@(score)</td>
                    }
                }
            </tr>
        }
        <tr>
            <td style="background-color:yellow">Base Residual Risk Score</td>
            @foreach (var domain in Model.RiskDomainList)
            {
                var list = Model.DomainBaseRiskScoreList.Where(x => x.DomainId == domain.Value).ToList();
                var scoreList = list.All(x => x.CategoryId.ToString().Contains(Model.ControlCategoryList.Select(x => x.Id).ToString()));
                var count = list.Count();
                var score = list.Select(x => x.Score).Sum();
                <td>@(score)</td>
            }
        </tr>
    </tbody>
</table>
<script>
    $(document).ready(function () {

    })
</script>